libxml++: xmlpp::Validator Class Reference

libxml++ 2.38.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
xmlpp::Validator Class Reference

Base class for XML validators. More...

`#include <libxml++/validators/validator.h>`

Inheritance diagram for xmlpp::Validator:
[legend]

## Public Member Functions
| Validator ()
virtual | ~Validator ()

## Protected Member Functions
virtual void | check_for_exception ()
virtual void | check_for_validity_messages ()
virtual void | handleException (const exception& e)
virtual void | initialize_valid ()
virtual void | on_validity_error (const Glib::ustring& message)
virtual void | on_validity_warning (const Glib::ustring& message)
virtual void | release_underlying ()

## Static Protected Member Functions
static void | callback_validity_error (void* ctx, const char* msg,...)
static void | callback_validity_warning (void* ctx, const char* msg,...)

## Protected Attributes
exception* | exception_
_xmlValidCtxt* | valid_
Glib::ustring | validate_error_
Glib::ustring | validate_warning_

## Detailed Description

Base class for XML validators.

## Constructor & Destructor Documentation

xmlpp::Validator::Validator | ( |  | ) |

virtual xmlpp::Validator::~Validator | ( |  | ) |
| virtual

## Member Function Documentation

static void xmlpp::Validator::callback_validity_error | ( | void * | ctx,
|  | const char * | msg,
|  |  | ...
| ) |  |
| staticprotected

static void xmlpp::Validator::callback_validity_warning | ( | void * | ctx,
|  | const char * | msg,
|  |  | ...
| ) |  |
| staticprotected

virtual void xmlpp::Validator::check_for_exception | ( |  | ) |
| protectedvirtual

virtual void xmlpp::Validator::check_for_validity_messages | ( |  | ) |
| protectedvirtual

virtual void xmlpp::Validator::handleException | ( | const exception& | e | ) |
| protectedvirtual

virtual void xmlpp::Validator::initialize_valid | ( |  | ) |
| protectedvirtual

Reimplemented in xmlpp::RelaxNGValidator, xmlpp::XsdValidator, xmlpp::SchemaValidator, and xmlpp::SchemaValidatorBase.

virtual void xmlpp::Validator::on_validity_error | ( | const Glib::ustring & | message | ) |
| protectedvirtual

virtual void xmlpp::Validator::on_validity_warning | ( | const Glib::ustring & | message | ) |
| protectedvirtual

virtual void xmlpp::Validator::release_underlying | ( |  | ) |
| protectedvirtual

Reimplemented in xmlpp::RelaxNGValidator, xmlpp::SchemaValidator, xmlpp::XsdValidator, xmlpp::SchemaValidatorBase, and xmlpp::DtdValidator.

## Member Data Documentation

exception* xmlpp::Validator::exception_
| protected

_xmlValidCtxt* xmlpp::Validator::valid_
| protected

Glib::ustring xmlpp::Validator::validate_error_
| protected

Glib::ustring xmlpp::Validator::validate_warning_
| protected